## xabacus 1

=== Makefile ===
# Makefile generated by imake - do not edit!
# $XConsortium: imake.c,v 1.51 89/12/12 12:37:30 jim Exp $
#
# The cpp used on this machine replaces all newlines and multiple tabs and
# spaces in a macro expansion with a single space.  Imake tries to compensate
# for this, but is not always successful.
#

###########################################################################
# Makefile generated from "Imake.tmpl" and </tmp/IIf.a22422>
# $XConsortium: Imake.tmpl,v 1.77 89/12/18 17:01:37 jim Exp $
#
# Platform-specific parameters may be set in the appropriate .cf
# configuration files.  Site-wide parameters may be set in the file
# site.def.  Full rebuilds are recommended if any parameters are changed.
#
# If your C preprocessor doesn't define any unique symbols, you'll need
# to set BOOTSTRAPCFLAGS when rebuilding imake (usually when doing
# "make Makefile", "make Makefiles", or "make World").
#
# If you absolutely can't get imake to work, you'll need to set the
# variables at the top of each Makefile as well as the dependencies at the
# bottom (makedepend will do this automatically).
#

###########################################################################
# platform-specific configuration parameters - edit sun.cf to change

# platform:  $XConsortium: sun.cf,v 1.38 89/12/23 16:10:10 jim Exp $
# operating system:  SunOS 4.1

###########################################################################
# site-specific configuration parameters - edit site.def to change

# site:  $XConsortium: site.def,v 1.21 89/12/06 11:46:50 jim Exp $

            SHELL = /bin/sh

              TOP = .
      CURRENT_DIR = .

               AR = ar cq
  BOOTSTRAPCFLAGS =
               CC = cc

         COMPRESS = compress
              CPP = /lib/cpp $(STD_CPP_DEFINES)
    PREPROCESSCMD = cc -E $(STD_CPP_DEFINES)
          INSTALL = install
               LD = ld
             LINT = lint
      LINTLIBFLAG = -C
         LINTOPTS = -axz
               LN = ln -s
             MAKE = make
               MV = mv
               CP = cp
           RANLIB = ranlib
  RANLIBINSTFLAGS =
               RM = rm -f
     STD_INCLUDES =
  STD_CPP_DEFINES =
      STD_DEFINES =
 EXTRA_LOAD_FLAGS =
  EXTRA_LIBRARIES =
             TAGS = ctags

    SHAREDCODEDEF = -DSHAREDCODE
         SHLIBDEF = -DSUNSHLIB

    PROTO_DEFINES =

     INSTPGMFLAGS =

     INSTBINFLAGS = -m 0755
     INSTUIDFLAGS = -m 4755
     INSTLIBFLAGS = -m 0664
     INSTINCFLAGS = -m 0444
     INSTMANFLAGS = -m 0444
     INSTDATFLAGS = -m 0444
    INSTKMEMFLAGS = -m 4755

          DESTDIR =

     TOP_INCLUDES = -I$(INCROOT)

      CDEBUGFLAGS = -O
        CCOPTIONS =
      COMPATFLAGS =

      ALLINCLUDES = $(STD_INCLUDES) $(TOP_INCLUDES) $(INCLUDES) $(EXTRA_INCLUDES)
       ALLDEFINES = $(ALLINCLUDES) $(STD_DEFINES) $(PROTO_DEFINES) $(DEFINES) $(COMPATFLAGS)
           CFLAGS = $(CDEBUGFLAGS) $(CCOPTIONS) $(ALLDEFINES)
        LINTFLAGS = $(LINTOPTS) -DLINT $(ALLDEFINES)
           LDLIBS = $(SYS_LIBRARIES) $(EXTRA_LIBRARIES)
        LDOPTIONS = $(CDEBUGFLAGS) $(CCOPTIONS)
   LDCOMBINEFLAGS = -X -r

        MACROFILE = sun.cf
           RM_CMD = $(RM) *.CKP *.ln *.BAK *.bak *.o core errs ,* *~ *.a .emacs_* tags TAGS make.log MakeOut

    IMAKE_DEFINES =

         IRULESRC = $(CONFIGDIR)
        IMAKE_CMD = $(IMAKE) -DUseInstalled -I$(IRULESRC) $(IMAKE_DEFINES)

     ICONFIGFILES = $(IRULESRC)/Imake.tmpl $(IRULESRC)/Imake.rules \
			$(IRULESRC)/Project.tmpl $(IRULESRC)/site.def \
			$(IRULESRC)/$(MACROFILE) $(EXTRA_ICONFIGFILES)

###########################################################################
# X Window System Build Parameters
# $XConsortium: Project.tmpl,v 1.63 89/12/18 16:46:44 jim Exp $

###########################################################################
# X Window System make variables; this need to be coordinated with rules
# $XConsortium: Project.tmpl,v 1.63 89/12/18 16:46:44 jim Exp $

          PATHSEP = /
        USRLIBDIR = $(DESTDIR)/usr/lib
           BINDIR = $(DESTDIR)/usr/bin/X11
          INCROOT = $(DESTDIR)/usr/include
     BUILDINCROOT = $(TOP)
      BUILDINCDIR = $(BUILDINCROOT)/X11
      BUILDINCTOP = ..
           INCDIR = $(INCROOT)/X11
           ADMDIR = $(DESTDIR)/usr/adm
           LIBDIR = $(USRLIBDIR)/X11
        CONFIGDIR = $(LIBDIR)/config
       LINTLIBDIR = $(USRLIBDIR)/lint

          FONTDIR = $(LIBDIR)/fonts
         XINITDIR = $(LIBDIR)/xinit
           XDMDIR = $(LIBDIR)/xdm
           AWMDIR = $(LIBDIR)/awm
           TWMDIR = $(LIBDIR)/twm
           GWMDIR = $(LIBDIR)/gwm
          MANPATH = $(DESTDIR)/usr/man
    MANSOURCEPATH = $(MANPATH)/man
           MANDIR = $(MANSOURCEPATH)n
        LIBMANDIR = $(MANSOURCEPATH)3
      XAPPLOADDIR = $(LIBDIR)/app-defaults

        SOXLIBREV = 4.2
          SOXTREV = 4.0
         SOXAWREV = 4.0
        SOOLDXREV = 4.0
         SOXMUREV = 4.0
        SOXEXTREV = 4.0

       FONTCFLAGS = -t

     INSTAPPFLAGS = $(INSTDATFLAGS)

            IMAKE = imake
           DEPEND = makedepend
              RGB = rgb
            FONTC = bdftosnf
        MKFONTDIR = mkfontdir
        MKDIRHIER = /bin/sh $(BINDIR)/mkdirhier.sh

        CONFIGSRC = $(TOP)/config
        CLIENTSRC = $(TOP)/clients
          DEMOSRC = $(TOP)/demos
           LIBSRC = $(TOP)/lib
          FONTSRC = $(TOP)/fonts
       INCLUDESRC = $(TOP)/X11
        SERVERSRC = $(TOP)/server
          UTILSRC = $(TOP)/util
        SCRIPTSRC = $(UTILSRC)/scripts
       EXAMPLESRC = $(TOP)/examples
       CONTRIBSRC = $(TOP)/../contrib
           DOCSRC = $(TOP)/doc
           RGBSRC = $(TOP)/rgb
        DEPENDSRC = $(UTILSRC)/makedepend
         IMAKESRC = $(CONFIGSRC)
         XAUTHSRC = $(LIBSRC)/Xau
          XLIBSRC = $(LIBSRC)/X
           XMUSRC = $(LIBSRC)/Xmu
       TOOLKITSRC = $(LIBSRC)/Xt
       AWIDGETSRC = $(LIBSRC)/Xaw
       OLDXLIBSRC = $(LIBSRC)/oldX
      XDMCPLIBSRC = $(LIBSRC)/Xdmcp
      BDFTOSNFSRC = $(FONTSRC)/bdftosnf
     MKFONTDIRSRC = $(FONTSRC)/mkfontdir
     EXTENSIONSRC = $(TOP)/extensions

  DEPEXTENSIONLIB = $(USRLIBDIR)/libXext.a
     EXTENSIONLIB =  -lXext

          DEPXLIB = $(DEPEXTENSIONLIB)
             XLIB = $(EXTENSIONLIB) -lX11

      DEPXAUTHLIB = $(USRLIBDIR)/libXau.a
         XAUTHLIB =  -lXau

        DEPXMULIB =
           XMULIB = -lXmu

       DEPOLDXLIB =
          OLDXLIB = -loldX

      DEPXTOOLLIB =
         XTOOLLIB = -lXt

        DEPXAWLIB =
           XAWLIB = -lXaw

 LINTEXTENSIONLIB = $(USRLIBDIR)/llib-lXext.ln
         LINTXLIB = $(USRLIBDIR)/llib-lX11.ln
          LINTXMU = $(USRLIBDIR)/llib-lXmu.ln
        LINTXTOOL = $(USRLIBDIR)/llib-lXt.ln
          LINTXAW = $(USRLIBDIR)/llib-lXaw.ln

          DEPLIBS = $(DEPXAWLIB) $(DEPXMULIB) $(DEPXTOOLLIB) $(DEPXLIB)

         DEPLIBS1 = $(DEPLIBS)
         DEPLIBS2 = $(DEPLIBS)
         DEPLIBS3 = $(DEPLIBS)

###########################################################################
# Imake rules for building libraries, programs, scripts, and data files
# rules:  $XConsortium: Imake.rules,v 1.67 89/12/18 17:14:15 jim Exp $

###########################################################################
# start of Imakefile

#
# run makedepend for dependancies
# -g enable dbx debugging info;
CDEBUGFLAGS = -g

#-DDEBUG will '#define DEBUG' statements (trace)
#CDEBUGFLAGS = -DDEBUG

#Optimize
#CDEBUGFLAGS = -O

# -lm enables the math lib (needed if you #include <math.h>)
#EXTRA_LOAD_FLAGS = -lm

SRCS= main.c Xinit.c aba.c demo.c
OBJS= main.o Xinit.o aba.o demo.o

LOCAL_LIBRARIES = $(XLIB) $(XTOOLLIB)

 PROGRAM = xabacus

all:: xabacus

xabacus: $(OBJS) $(DEPLIBS)
	$(RM) $@
	$(CC) -o $@ $(OBJS) $(LDOPTIONS) $(LOCAL_LIBRARIES) $(LDLIBS) $(EXTRA_LOAD_FLAGS)

install:: xabacus
	$(INSTALL) -c $(INSTPGMFLAGS)   xabacus $(BINDIR)

install.man:: xabacus.man
	$(INSTALL) -c $(INSTMANFLAGS) xabacus.man $(MANDIR)/xabacus.n

depend::
	$(DEPEND) -s "# DO NOT DELETE" -- $(ALLDEFINES) -- $(SRCS)

lint:
	$(LINT) $(LINTFLAGS) $(SRCS) $(LINTLIBS)
lint1:
	$(LINT) $(LINTFLAGS) $(FILE) $(LINTLIBS)

clean::
	$(RM) $(PROGRAM)

# Distribution: Make the shar-files ~no bigger than 64K
shar: main.c Xinit.c aba.c demo.c Imakefile Makefile README xabacus.man XAbacus.ad icon.bm Lesson1.cmd Lesson2.cmd Lesson3.cmd xabacus.man XAbacus.ad
	shar -s 64000 README *.[ch] xabacus.man I* Makefile icon.bm *.cmd XAbacus.ad
# Distribution: split the PS file into 2 files & shar them assuming the source
# can be contained in shar1 & shar2
psshar: abacus.ps
	split -2500 abacus.ps abacus.ps
	shar -h shar3 abacus.psaa
	shar -h shar4 abacus.psab

# join 2 PS files to create Abacus.ps
ps:
	cat abacus.psaa abacus.psab >Abacus.ps
	rm -f abacus.ps??

###########################################################################
# common rules for all Makefiles - do not edit

emptyrule::

clean::
	$(RM_CMD) \#*

Makefile::
	-@if [ -f Makefile ]; then \
	echo "	$(RM) Makefile.bak; $(MV) Makefile Makefile.bak"; \
	$(RM) Makefile.bak; $(MV) Makefile Makefile.bak; \
	else exit 0; fi
	$(IMAKE_CMD) -DTOPDIR=$(TOP) -DCURDIR=$(CURRENT_DIR)

tags::
	$(TAGS) -w *.[ch]
	$(TAGS) -xw *.[ch] > TAGS

###########################################################################
# empty rules for directories that do not have SUBDIRS - do not edit

install::
	@echo "install in $(CURRENT_DIR) done"

install.man::
	@echo "install.man in $(CURRENT_DIR) done"

Makefiles::

includes::

###########################################################################
# dependencies generated by makedepend

## xabacus 7.0.6

=== win/Makefile ===
# MS WINDOWS-BASED ABACUS
#
#	Makefile
#
###
#
#  Copyright (c) 1995 - 2004	David Albert Bagley, bagleyd@tux.org
#
#                   All Rights Reserved
#
#  Permission to use, copy, modify, and distribute this software and
#  its documentation for any purpose and without fee is hereby granted,
#  provided that the above copyright notice appear in all copies and
#  that both that copyright notice and this permission notice appear in
#  supporting documentation, and that the name of the author not be
#  used in advertising or publicity pertaining to distribution of the
#  software without specific, written prior permission.
#
#  This program is distributed in the hope that it will be "useful",
#  but WITHOUT ANY WARRANTY; without even the implied warranty of
#  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.

# DOS, UNIX & MKS
#CP		= copy
#RM		= del
#LN_S		= cp

CP		= cp
RM		= rm -f
LN_S		= ln -s

# Set your C++ compiler
# Sun, SunC, Borland, Watcom, Microsoft, GNU
#CC		= cc
#CC		= acc
#CC		= bcc
#CC		= wcc
#CC		= cl
#CC		= CC
#CC		= g++ -Wall -Woverloaded-virtual
#CC		= gcc -Wall -ansi -pedantic
CC		= gcc -Wall -W -Wcast-qual -Wconversion -Wimplicit -Wmissing-declarations -Wunused -Wshadow -Wpointer-arith -Wcast-align -Wwrite-strings -Wmissing-prototypes -Wstrict-prototypes -Wno-format

# DEFAULT, Watcom
LD		= $(CC)
#LD		= wcl

# Microsoft, ?, Borland
#RC		= rc
#RC		= brc
#RC		= brcc
RC		= windres

# Sun, SunC
LINT		= lint

INDENT		= indent

# DOS, UNIX, PostScript
#PRINT		= print
PRINT		= lpr
#PRINT		= enscript -2r

# EXTENTIONS
CEXT		= .c
#CEXT		= .cpp
#CEXT		= .cc

OEXT		= .o
##OEXT		= .obj

EEXT		= .exe
#EEXT		=

.SUFFIXES:	$(CEXT) $(OEXT) $(EEXT) .rc .res

WIDGET		= Abacus
wIDGET		= abacus

PROGRAM		= w$(wIDGET)
VER		= w$(wIDGET)
STORE		= /dosa/$(PROGRAM)/
STORE2		= /dosc/$(PROGRAM)/

DEMOPATH	= /windows

##CHOME		= c:\\bc\\
#CHOME		= c:\bc\
#CHOME		= c:/bc/
#CHOME		=
##INCPATH	= $(CHOME)include
INCPATH		= /usr/local/include
LIBPATH		= $(CHOME)lib
INCLUDES	= -I$(INCPATH)
#LIBRARIES	= -L$(LIBPATH)

HDRS		=\
		$(WIDGET)P.h\
		$(WIDGET).h\
		$(PROGRAM).h
SRCS		=\
		$(WIDGET)$(CEXT)\
		$(WIDGET)C$(CEXT)\
		$(WIDGET)D$(CEXT)\
		$(WIDGET)M$(CEXT)\
		$(PROGRAM)$(CEXT)
OBJS		=\
		$(WIDGET)$(OEXT)\
		$(WIDGET)C$(OEXT)\
		$(WIDGET)D$(OEXT)\
		$(WIDGET)M$(OEXT)\
		$(PROGRAM)$(OEXT)

LESSONS		=\
		$(WIDGET)1.les\
	       	$(WIDGET)2.les\
	       	$(WIDGET)3.les\
	       	$(WIDGET)4.les\
		$(WIDGET)jp1.les\
	       	$(WIDGET)jp2.les\
	       	$(WIDGET)jp3.les\
	       	$(WIDGET)jp4.les\
		$(WIDGET)ko1.les\
	       	$(WIDGET)ko2.les\
	       	$(WIDGET)ko3.les\
	       	$(WIDGET)ko4.les\
		$(WIDGET)ru1.les\
	       	$(WIDGET)ru2.les\
	       	$(WIDGET)ru3.les

TEXT		=\
		$(WIDGET).txt\
	       	x$(wIDGET).htm

#OBJS		= $(SRCS:$(CEXT)=$(OEXT))

#DEFINES	= -DDEMOPATH=\"$(DEMOPATH)\" -DWINVER=0x030a
DEFINES	= -DDEMOPATH=\"$(DEMOPATH)\" -DWINVER=0x0950
#DEFINES	= -DDEMOPATH=\"$(DEMOPATH)\"

# large memory model: Borland, Microsoft, UNIX
#COPT		= -ml -WE -v -w4
#COPT		= -AL -GA -Ow -W4 -Zp -Zi
COPT		= -O2 -mno-cygwin
#COPT		= -g -DMONOTEST
#COPT		= -g

# Borland, Microsoft, UNIX
#LOPT		= -e
#LOPT		= , /align:16, NUL, /nod llibcew libw oldnames,
#LOPT		= -o
LOPT		= -mwindows

CFLAGS		= $(COPT) $(DEFINES) $(INCLUDES)
LDFLAGS		= $(LOPT)
LIBS		= $(LIBRARIES)

$(CEXT)$(OEXT):
	$(CC) -c $(CFLAGS) $<

.rc.res:
	$(RC) -r $(INCLUDES) $<

all:	$(PROGRAM)$(EEXT)

$(WIDGET)P.h:	../$(WIDGET)P.h
	$(LN_S) ../$(WIDGET)P.h $(WIDGET)P.h

$(WIDGET).h:	../$(WIDGET).h
	$(LN_S) ../$(WIDGET).h $(WIDGET).h

$(WIDGET)$(CEXT):	../$(WIDGET)$(CEXT)
	$(LN_S) ../$(WIDGET)$(CEXT) $(WIDGET)$(CEXT)

$(WIDGET)C$(CEXT):	../$(WIDGET)C$(CEXT)
	$(LN_S) ../$(WIDGET)C$(CEXT) $(WIDGET)C$(CEXT)

$(WIDGET)D$(CEXT):	../$(WIDGET)D$(CEXT)
	$(LN_S) ../$(WIDGET)D$(CEXT) $(WIDGET)D$(CEXT)

$(WIDGET)M$(CEXT):	../$(WIDGET)M$(CEXT)
	$(LN_S) ../$(WIDGET)M$(CEXT) $(WIDGET)M$(CEXT)

$(PROGRAM)$(CEXT):	../x$(wIDGET)$(CEXT)
	$(LN_S) ../x$(wIDGET)$(CEXT) $(PROGRAM)$(CEXT)

$(WIDGET)1.les:	../$(WIDGET)1.les
	$(LN_S) ../$(WIDGET)1.les $(WIDGET)1.les

$(WIDGET)2.les:	../$(WIDGET)2.les
	$(LN_S) ../$(WIDGET)2.les $(WIDGET)2.les

$(WIDGET)3.les:	../$(WIDGET)3.les
	$(LN_S) ../$(WIDGET)3.les $(WIDGET)3.les

$(WIDGET)4.les:	../$(WIDGET)4.les
	$(LN_S) ../$(WIDGET)4.les $(WIDGET)4.les

$(WIDGET)jp1.les:	../$(WIDGET)jp1.les
	$(LN_S) ../$(WIDGET)jp1.les $(WIDGET)jp1.les

$(WIDGET)jp2.les:	../$(WIDGET)jp2.les
	$(LN_S) ../$(WIDGET)jp2.les $(WIDGET)jp2.les

$(WIDGET)jp3.les:	../$(WIDGET)jp3.les
	$(LN_S) ../$(WIDGET)jp3.les $(WIDGET)jp3.les

$(WIDGET)jp4.les:	../$(WIDGET)jp4.les
	$(LN_S) ../$(WIDGET)jp4.les $(WIDGET)jp4.les

$(WIDGET)ko1.les:	../$(WIDGET)ko1.les
	$(LN_S) ../$(WIDGET)ko1.les $(WIDGET)ko1.les

$(WIDGET)ko2.les:	../$(WIDGET)ko2.les
	$(LN_S) ../$(WIDGET)ko2.les $(WIDGET)ko2.les

$(WIDGET)ko3.les:	../$(WIDGET)ko3.les
	$(LN_S) ../$(WIDGET)ko3.les $(WIDGET)ko3.les

$(WIDGET)ko4.les:	../$(WIDGET)ko4.les
	$(LN_S) ../$(WIDGET)ko4.les $(WIDGET)ko4.les

$(WIDGET)ru1.les:	../$(WIDGET)ru1.les
	$(LN_S) ../$(WIDGET)ru1.les $(WIDGET)ru1.les

$(WIDGET)ru2.les:	../$(WIDGET)ru2.les
	$(LN_S) ../$(WIDGET)ru2.les $(WIDGET)ru2.les

$(WIDGET)ru3.les:	../$(WIDGET)ru3.les
	$(LN_S) ../$(WIDGET)ru3.les $(WIDGET)ru3.les

$(WIDGET).txt:	../README
	$(LN_S) ../README $(WIDGET).txt

# This is for X-Windows but contains some general stuff too.
x$(wIDGET).htm:	../x$(wIDGET).html
	$(LN_S) ../x$(wIDGET).html x$(wIDGET).htm

$(WIDGET)$(OEXT):	$(WIDGET).h $(WIDGET)P.h
$(WIDGET)C$(OEXT):	$(WIDGET).h $(WIDGET)P.h
$(WIDGET)D$(OEXT):	$(WIDGET).h $(WIDGET)P.h
$(WIDGET)M$(OEXT):	$(WIDGET).h $(WIDGET)P.h
$(PROGRAM)$(OEXT):	$(WIDGET).h $(WIDGET)P.h $(PROGRAM).h

$(PROGRAM).res:	$(PROGRAM).rc $(PROGRAM).h
	$(RC) $< -O coff -o $@

#	$(RC) $(INCLUDES) $(PROGRAM).rc

$(PROGRAM)$(EEXT):	$(OBJS) $(PROGRAM).res $(LESSONS) $(TEXT)
	$(LD) $(COPT) $(LDFLAGS) $(OBJS) $(PROGRAM).res $(LIBS) -o $@

##$(PROGRAM)$(EEXT):	$(OBJS) $(PROGRAM).res $(PROGRAM).def
# Borland, Microsoft, UNIX
#	$(LD) $(COPT) $(OBJS) $(LIBS)
#	$(LD) $(COPT) $(OBJS) $(LIBS) $(LOPT)$(PROGRAM)$(EEXT)
#	$(LD) $(LOPT)$(PROGRAM)$(EEXT) $(COPT) $(OBJS) $(LIBS)
#	$(RC) $(INCLUDES) $(PROGRAM).rc

run:
	./$(PROGRAM)

clean:
	$(RM) *$(OEXT) $(PROGRAM)$(EEXT)* core *~ *% *.bak *.res *.obj
	$(RM) *.sbr *.sbt *.pdb *.vcw *.wsp *.bsc

distclean:	clean
	$(RM) $(WIDGET)*$(CEXT) $(WIDGET)*.h $(PROGRAM).c $(LESSONS) $(TEXT)

xpm2ico:
	xpm2wico -f ../icons/$(wIDGET).m.xpm w$(wIDGET).ico

ASCIIWINEXTEND=c h ini rc les txt htm
DOSDIR=../../win/$(PROGRAM)
# Handles both versions (Linux and SunOS) of unix2dos and dos2unix

dos2unix:
	for j in ${ASCIIWINEXTEND}; do\
		for k in *.$${j}; do\
			if [ -r $${k} ]; then\
				cp $${k} $${k}.old;\
				dos2unix $${k}.old $${k};\
				rm $${k}.old;\
			fi;\
		done;\
	done

unix2dos:
	for j in ${ASCIIWINEXTEND}; do\
		for k in *.$${j}; do\
			if [ -r $${k} ]; then\
				cp $${k} $${k}.old;\
				unix2dos $${k}.old $${k};\
				rm $${k}.old;\
			fi;\
		done;\
	done

dist:
	mkdir -p $(DOSDIR);\
	for j in $(ASCIIWINEXTEND); do\
		for k in *.$${j}; do\
			if [ -r $${k} ]; then\
				cp $${k} $(DOSDIR)/$${k}.old;\
				cp $${k} $(DOSDIR)/$${k};\
				unix2dos $(DOSDIR)/$${k}.old $(DOSDIR)/$${k};\
				rm $(DOSDIR)/$${k}.old;\
			fi;\
		done;\
	done;\
	for k in *.exe *.ico; do\
		if [ -r $${k} ]; then\
			cp -p $${k} $(DOSDIR)/$${k};\
		fi;\
	done

## xabacus 7.1.3

=== win/Makefile ===
--- 
+++ 
@@ -4,7 +4,7 @@
 #
 ###
 #
-#  Copyright (c) 1995 - 2004	David Albert Bagley, bagleyd@tux.org
+#  Copyright (c) 1995 - 2005	David Albert Bagley, bagleyd@tux.org
 #
 #                   All Rights Reserved
 #
@@ -61,7 +61,7 @@
 PRINT		= lpr
 #PRINT		= enscript -2r
 
-# EXTENTIONS
+# EXTENSIONS
 CEXT		= .c
 #CEXT		= .cpp
 #CEXT		= .cc
@@ -82,17 +82,25 @@
 STORE		= /dosa/$(PROGRAM)/
 STORE2		= /dosc/$(PROGRAM)/
 
-DEMOPATH	= /windows
+READPATH	= c:/windows
+#READPATH	= /windows
+BUMPSOUND	= $(READPATH)/bump.wav
+MOVESOUND	= $(READPATH)/move.wav
+
+#WINVER		= 0x030a
+WINVER		= 0x0950
 
 ##CHOME		= c:\\bc\\
 #CHOME		= c:\bc\
 #CHOME		= c:/bc/
 #CHOME		=
+CHOME		= /usr/lib/w32api
 ##INCPATH	= $(CHOME)include
 INCPATH		= /usr/local/include
-LIBPATH		= $(CHOME)lib
+#LIBPATH	= $(CHOME)lib
+LIBPATH		= $(CHOME)
 INCLUDES	= -I$(INCPATH)
-#LIBRARIES	= -L$(LIBPATH)
+LIBRARIES	= -L$(LIBPATH) -lwinmm
 
 HDRS		=\
 		$(WIDGET)P.h\
@@ -103,40 +111,45 @@
 		$(WIDGET)C$(CEXT)\
 		$(WIDGET)D$(CEXT)\
 		$(WIDGET)M$(CEXT)\
+		file$(CEXT)\
+		sound$(CEXT)\
 		$(PROGRAM)$(CEXT)
 OBJS		=\
 		$(WIDGET)$(OEXT)\
 		$(WIDGET)C$(OEXT)\
 		$(WIDGET)D$(OEXT)\
 		$(WIDGET)M$(OEXT)\
+		file$(OEXT)\
+		sound$(OEXT)\
 		$(PROGRAM)$(OEXT)
 
 LESSONS		=\
 		$(WIDGET)1.les\
-	       	$(WIDGET)2.les\
-	       	$(WIDGET)3.les\
-	       	$(WIDGET)4.les\
+		$(WIDGET)2.les\
+		$(WIDGET)3.les\
+		$(WIDGET)4.les\
 		$(WIDGET)jp1.les\
-	       	$(WIDGET)jp2.les\
-	       	$(WIDGET)jp3.les\
-	       	$(WIDGET)jp4.les\
+		$(WIDGET)jp2.les\
+		$(WIDGET)jp3.les\
+		$(WIDGET)jp4.les\
 		$(WIDGET)ko1.les\
-	       	$(WIDGET)ko2.les\
-	       	$(WIDGET)ko3.les\
-	       	$(WIDGET)ko4.les\
+		$(WIDGET)ko2.les\
+		$(WIDGET)ko3.les\
+		$(WIDGET)ko4.les\
 		$(WIDGET)ru1.les\
-	       	$(WIDGET)ru2.les\
-	       	$(WIDGET)ru3.les
+		$(WIDGET)ru2.les\
+		$(WIDGET)ru3.les
 
 TEXT		=\
 		$(WIDGET).txt\
-	       	x$(wIDGET).htm
+		x$(wIDGET).htm
 
 #OBJS		= $(SRCS:$(CEXT)=$(OEXT))
 
-#DEFINES	= -DDEMOPATH=\"$(DEMOPATH)\" -DWINVER=0x030a
-DEFINES	= -DDEMOPATH=\"$(DEMOPATH)\" -DWINVER=0x0950
-#DEFINES	= -DDEMOPATH=\"$(DEMOPATH)\"
+DEFINES	=	-DWINVER=$(WINVER)\
+		-DDEMOPATH=\"$(READPATH)\"\
+		-DBUMPSOUND=\"$(BUMPSOUND)\"\
+		-DMOVESOUND=\"$(MOVESOUND)\"
 
 # large memory model: Borland, Microsoft, UNIX
 #COPT		= -ml -WE -v -w4
@@ -181,6 +194,12 @@
 $(WIDGET)M$(CEXT):	../$(WIDGET)M$(CEXT)
 	$(LN_S) ../$(WIDGET)M$(CEXT) $(WIDGET)M$(CEXT)
 
+file$(CEXT):	../file$(CEXT)
+	$(LN_S) ../file$(CEXT) file$(CEXT)
+
+sound$(CEXT):	../sound$(CEXT)
+	$(LN_S) ../sound$(CEXT) sound$(CEXT)
+
 $(PROGRAM)$(CEXT):	../x$(wIDGET)$(CEXT)
 	$(LN_S) ../x$(wIDGET)$(CEXT) $(PROGRAM)$(CEXT)
 
@@ -265,7 +284,11 @@
 	$(RM) *.sbr *.sbt *.pdb *.vcw *.wsp *.bsc
 
 distclean:	clean
-	$(RM) $(WIDGET)*$(CEXT) $(WIDGET)*.h $(PROGRAM).c $(LESSONS) $(TEXT)
+	$(RM) $(WIDGET)*$(CEXT) $(WIDGET)*.h $(LESSONS) $(TEXT)
+	$(RM) $(PROGRAM)$(CEXT) file$(CEXT) sound$(CEXT)
+
+lint :	$(SRCS)
+	$(LINT) -ax -DLINT -DWINVER $(DEFS) $(INCLUDES) -I.. $(SRCS) $(LIBRARIES)
 
 xpm2ico:
 	xpm2wico -f ../icons/$(wIDGET).m.xpm w$(wIDGET).ico
@@ -308,7 +331,7 @@
 			fi;\
 		done;\
 	done;\
-	for k in *.exe *.ico; do\
+	for k in *.exe *.ico *.bmp *.wav; do\
 		if [ -r $${k} ]; then\
 			cp -p $${k} $(DOSDIR)/$${k};\
 		fi;\

## xabacus 7.1.6

=== win/Makefile ===
# MS WINDOWS-BASED Abacus
#
#	Makefile
#
###
#
#  Copyright (c) 1995 - 2005	David Albert Bagley, bagleyd@tux.org
#
#                   All Rights Reserved
#
#  Permission to use, copy, modify, and distribute this software and
#  its documentation for any purpose and without fee is hereby granted,
#  provided that the above copyright notice appear in all copies and
#  that both that copyright notice and this permission notice appear in
#  supporting documentation, and that the name of the author not be
#  used in advertising or publicity pertaining to distribution of the
#  software without specific, written prior permission.
#
#  This program is distributed in the hope that it will be "useful",
#  but WITHOUT ANY WARRANTY; without even the implied warranty of
#  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.

# DOS, UNIX & MKS
#CP = copy
#RM = del
#LN_S = cp

CP = cp -p
RM = rm -f
LN_S = ln -s

# Set your C++ compiler
# Sun, SunC, Borland, Watcom, Microsoft, GNU
#CC = cc
#CC = acc
#CC = bcc
#CC = wcc
#CC = cl
#CC = CC
#CC = g++ -Wall -Woverloaded-virtual
#CC = gcc -Wall -ansi -pedantic
CC = gcc -Wall -W -Wcast-qual -Wconversion -Wimplicit -Wmissing-declarations -Wunused -Wshadow -Wpointer-arith -Wcast-align -Wwrite-strings -Wmissing-prototypes -Wstrict-prototypes -Wno-format

# DEFAULT, Watcom
LD = $(CC)
#LD = wcl

# Microsoft, ?, Borland
#RC = rc
#RC = brc
#RC = brcc
RC = windres

# Sun, SunC
LINT = lint

INDENT = indent

# DOS, UNIX, PostScript
#PRINT = print
PRINT = lpr
#PRINT = enscript -2r

N=
C=.c
#C=.cpp
#C=.cc

O=.o
#O=.obj
S=$(N) $(N)
E=.exe
#E=
A=

# please define
# C as the C source code extension
# O as the object extension
# S as the separator for object code
# E as the executable extension

.SUFFIXES:	$(C) $(O) $(E) .rc .res

wIDGET = abacus
WIDGET = Abacus
P=w
R=$(P)
V=$(P)
PROG = $(R)$(wIDGET)
VER = $(V)$(wIDGET)
STORE = /dosa/$(PROG)/
STORE2 = /dosc/$(PROG)/

READPATH = c:/WINDOWS
#READPATH = /WINDOWS

#WINVER = 0x030a
WINVER = 0x0950

##CHOME = c:\\bc\\
#CHOME = c:\bc\
#CHOME = c:/bc/
#CHOME =
CHOME = /usr/lib/w32api
##INCPATH = $(CHOME)include
INCPATH = /usr/local/include
#LIBPATH = $(CHOME)lib
LIBPATH = $(CHOME)
INCLUDES = -I$(INCPATH)
LIBRARIES = -L$(LIBPATH) -lwinmm

HDRS = $(WIDGET)P.h $(WIDGET).h \
xwin.h file.h timer.h \
sound.h

COREOBJS = $(WIDGET)$(O)$(S)$(WIDGET)C$(O)$(S)$(WIDGET)D$(O)$(S)$(WIDGET)M$(O)
OBJS = xwin$(O)$(S)file$(O)$(S)timer$(O)$(S)\
sound$(O)$(S)\
$(COREOBJS)$(S)$(P)$(wIDGET)$(O)

CORESRCS = $(WIDGET)$(C) $(WIDGET)C$(C) $(WIDGET)D$(C) $(WIDGET)M$(C)
SRCS = xwin$(C) file$(C) timer$(C) \
sound$(C) \
$(CORESRCS) $(P)$(wIDGET)$(C)

LESSONS = $(WIDGET)1.les $(WIDGET)2.les $(WIDGET)3.les $(WIDGET)4.les \
$(WIDGET)jp1.les $(WIDGET)jp2.les $(WIDGET)jp3.les $(WIDGET)jp4.les \
$(WIDGET)ko1.les $(WIDGET)ko2.les $(WIDGET)ko3.les $(WIDGET)ko4.les \
$(WIDGET)ru1.les $(WIDGET)ru2.les $(WIDGET)ru3.les

TEXT = $(WIDGET).txt x$(wIDGET).htm

#OBJS = $(SRCS:$(C)=$(O))

DEFINES = -DWINVER=$(WINVER) \
-DSOUNDPATH=\"$(READPATH)\" -DSOUNDEXT=\".wav\" \
-DBUMPSOUND=\"bump\" -DDRIPSOUND=\"move\" \
-DDEMOPATH=\"$(DEMOPATH)\"

# large memory model: Borland, Microsoft, UNIX
##COPT = -ml -WE -v -w4
#COPT = -AL -GA -Ow -W4 -Zp -Zi
COPT = -O2 -mno-cygwin
#COPT = -g -DMONOTEST

# Borland, Microsoft, UNIX
#LOPT = -e
#LOPT = , /align:16, NUL, /nod llibcew libw oldnames,
#LOPT = -o
LOPT = -mwindows

CFLAGS = $(COPT) $(DEFINES) $(INCLUDES)
LDFLAGS = $(LOPT)
LIBS = $(LIBRARIES)

$(C)$(O):
	$(CC) -c $(CFLAGS) $<

.rc.res:
	$(RC) -r $(INCLUDES) $<

all:	$(PROG)$(E)

$(WIDGET)P.h:	../$(WIDGET)P.h
	$(LN_S) ../$(WIDGET)P.h $(WIDGET)P.h

$(WIDGET).h:	../$(WIDGET).h
	$(LN_S) ../$(WIDGET).h $(WIDGET).h

xwin.h:	../xwin.h
	$(LN_S) ../xwin.h xwin.h

file.h:	../file.h
	$(LN_S) ../file.h file.h

timer.h:	../timer.h
	$(LN_S) ../timer.h timer.h

rngs.h:	../rngs.h
	$(LN_S) ../rngs.h rngs.h

sound.h:	../sound.h
	$(LN_S) ../sound.h sound.h

$(WIDGET)$(C):	../$(WIDGET)$(C)
	$(LN_S) ../$(WIDGET)$(C) $(WIDGET)$(C)

$(WIDGET)C$(C):	../$(WIDGET)C$(C)
	$(LN_S) ../$(WIDGET)C$(C) $(WIDGET)C$(C)

$(WIDGET)D$(C):	../$(WIDGET)D$(C)
	$(LN_S) ../$(WIDGET)D$(C) $(WIDGET)D$(C)

$(WIDGET)M$(C):	../$(WIDGET)M$(C)
	$(LN_S) ../$(WIDGET)M$(C) $(WIDGET)M$(C)

xwin$(C):	../xwin$(C)
	$(LN_S) ../xwin$(C) xwin$(C)

file$(C):	../file$(C)
	$(LN_S) ../file$(C) file$(C)

timer$(C):	../timer$(C)
	$(LN_S) ../timer$(C) timer$(C)

rngs$(C):	../rngs$(C)
	$(LN_S) ../rngs$(C) rngs$(C)

sound$(C):	../sound$(C)
	$(LN_S) ../sound$(C) sound$(C)

$(PROG)$(C):	../x$(wIDGET)$(C)
	$(LN_S) ../x$(wIDGET)$(C) $(PROG)$(C)

$(WIDGET)1.les:	../$(WIDGET)1.les
	$(LN_S) ../$(WIDGET)1.les $(WIDGET)1.les

$(WIDGET)2.les:	../$(WIDGET)2.les
	$(LN_S) ../$(WIDGET)2.les $(WIDGET)2.les

$(WIDGET)3.les:	../$(WIDGET)3.les
	$(LN_S) ../$(WIDGET)3.les $(WIDGET)3.les

$(WIDGET)4.les:	../$(WIDGET)4.les
	$(LN_S) ../$(WIDGET)4.les $(WIDGET)4.les

$(WIDGET)jp1.les:	../$(WIDGET)jp1.les
	$(LN_S) ../$(WIDGET)jp1.les $(WIDGET)jp1.les

$(WIDGET)jp2.les:	../$(WIDGET)jp2.les
	$(LN_S) ../$(WIDGET)jp2.les $(WIDGET)jp2.les

$(WIDGET)jp3.les:	../$(WIDGET)jp3.les
	$(LN_S) ../$(WIDGET)jp3.les $(WIDGET)jp3.les

$(WIDGET)jp4.les:	../$(WIDGET)jp4.les
	$(LN_S) ../$(WIDGET)jp4.les $(WIDGET)jp4.les

$(WIDGET)ko1.les:	../$(WIDGET)ko1.les
	$(LN_S) ../$(WIDGET)ko1.les $(WIDGET)ko1.les

$(WIDGET)ko2.les:	../$(WIDGET)ko2.les
	$(LN_S) ../$(WIDGET)ko2.les $(WIDGET)ko2.les

$(WIDGET)ko3.les:	../$(WIDGET)ko3.les
	$(LN_S) ../$(WIDGET)ko3.les $(WIDGET)ko3.les

$(WIDGET)ko4.les:	../$(WIDGET)ko4.les
	$(LN_S) ../$(WIDGET)ko4.les $(WIDGET)ko4.les

$(WIDGET)ru1.les:	../$(WIDGET)ru1.les
	$(LN_S) ../$(WIDGET)ru1.les $(WIDGET)ru1.les

$(WIDGET)ru2.les:	../$(WIDGET)ru2.les
	$(LN_S) ../$(WIDGET)ru2.les $(WIDGET)ru2.les

$(WIDGET)ru3.les:	../$(WIDGET)ru3.les
	$(LN_S) ../$(WIDGET)ru3.les $(WIDGET)ru3.les

$(WIDGET).txt:	../README
	$(LN_S) ../README $(WIDGET).txt

# This is for X-Windows but contains some general stuff too.
x$(wIDGET).htm:	../x$(wIDGET).html
	$(LN_S) ../x$(wIDGET).html x$(wIDGET).htm

$(WIDGET)$(O):	$(HDRS)
$(WIDGET)C$(O):	$(WIDGET).h $(WIDGET)P.h
$(WIDGET)D$(O):	$(WIDGET).h $(WIDGET)P.h file.h
$(WIDGET)M$(O):	$(WIDGET).h $(WIDGET)P.h
xwin$(O):	xwin.h
file$(O):	file.h
timer$(O):	timer.h
rngs$(O):	rngs.h
sound$(O):	sound.h file.h
$(PROG)$(O):	$(WIDGET).h $(WIDGET)P.h $(PROG).h xwin.h

$(PROG).res:	$(PROG).rc $(PROG).h
	$(RC) $< -O coff -o $@

#	$(RC) $(INCLUDES) $(PROG).rc

$(PROG)$(E):	$(OBJS) $(PROG).res $(LESSONS) $(TEXT)
	$(LD) $(COPT) $(LDFLAGS) $(OBJS) $(PROG).res $(LIBS) -o $@

##$(PROG)$(E):	$(OBJS) $(PROG).res $(PROG).def
# Borland, Microsoft, UNIX
#	$(LD) $(COPT) $(OBJS) $(LIBS)
#	$(LD) $(COPT) $(OBJS) $(LIBS) $(LOPT)$(PROG)$(E)
#	$(LD) $(LOPT)$(PROG)$(E) $(COPT) $(OBJS) $(LIBS)
#	$(RC) $(INCLUDES) $(PROG).rc

run:
	./$(PROG)

clean:
	$(RM) *.o *.exe* core *~ *% *.bak *.res *.obj
	$(RM) *.sbr *.sbt *.pdb *.vcw *.wsp *.bsc

distclean:	clean
	$(RM) $(WIDGET)*$(C) $(WIDGET)*.h $(PROG)$(C) $(LESSONS) $(TEXT)
	$(RM) xwin$(C) file$(C) timer$(C) sound$(C)
	$(RM) xwin.h file.h timer.h sound.h

install:	all
	$(CP) $(PROG)$(E) `cygpath -W`

uninstall:
	$(RM) `cygpath -W`/$(PROG)$(E)

lint :	$(SRCS)
	$(LINT) -ax -DLINT -DWINVER $(DEFS) $(INCLUDES) -I.. $(SRCS) $(LIBRARIES)

xpm2ico:
	xpm2wico -f ../icons/$(wIDGET).m.xpm $(P)$(wIDGET).ico

ASCIIWINEXTEND=c h ini rc les txt htm
DOSDIR=../../win/$(PROG)
# Handles both versions (Linux and SunOS) of unix2dos and dos2unix

dos2unix:
	for j in ${ASCIIWINEXTEND}; do\
		for k in *.$${j}; do\
			if [ -r $${k} ]; then\
				cp $${k} $${k}.old;\
				dos2unix $${k}.old $${k};\
				rm $${k}.old;\
			fi;\
		done;\
	done

unix2dos:
	for j in ${ASCIIWINEXTEND}; do\
		for k in *.$${j}; do\
			if [ -r $${k} ]; then\
				cp $${k} $${k}.old;\
				unix2dos $${k}.old $${k};\
				rm $${k}.old;\
			fi;\
		done;\
	done

dist:
	mkdir -p $(DOSDIR);\
	for j in $(ASCIIWINEXTEND); do\
		for k in *.$${j}; do\
			if [ -r $${k} ]; then\
				cp $${k} $(DOSDIR)/$${k}.old;\
				cp $${k} $(DOSDIR)/$${k};\
				unix2dos $(DOSDIR)/$${k}.old $(DOSDIR)/$${k};\
				rm $(DOSDIR)/$${k}.old;\
			fi;\
		done;\
	done;\
	for k in *.exe *.ico *.bmp *.wav; do\
		if [ -r $${k} ]; then\
			cp -p $${k} $(DOSDIR)/$${k};\
		fi;\
	done

## xabacus 7.1.7-1

=== win/Makefile ===
--- 
+++ 
@@ -4,7 +4,7 @@
 #
 ###
 #
-#  Copyright (c) 1995 - 2005	David Albert Bagley, bagleyd@tux.org
+#  Copyright (c) 1995 - 2006	David Albert Bagley, bagleyd@tux.org
 #
 #                   All Rights Reserved
 #
@@ -304,9 +304,11 @@
 
 install:	all
 	$(CP) $(PROG)$(E) `cygpath -W`
+	$(CP) $(PROG).ini `cygpath -W`
 
 uninstall:
 	$(RM) `cygpath -W`/$(PROG)$(E)
+	$(RM) `cygpath -W`/$(PROG).ini
 
 lint :	$(SRCS)
 	$(LINT) -ax -DLINT -DWINVER $(DEFS) $(INCLUDES) -I.. $(SRCS) $(LIBRARIES)

=== debian/changelog ===
xabacus (7.1.7-1) unstable; urgency=low

  * New Mantainer. (closes: #344449)
  * Updated debian/copyright file with new mantainer.
  * Updated menu files.
  * Added suport to desktop menu (added xabacus.desktop and xmabacus.desktop
    files).
  * Updated debian/watch file.
  * New upstream release.

 -- Jose Carlos Medeiros <debian@psabs.com.br>  Mon, 16 Jan 2006 19:04:33 -0200

xabacus (7.1.6-1) unstable; urgency=low

  * New upstream release
  * Packaging upgrades

 -- Florian Ernst <florian@debian.org>  Wed, 30 Nov 2005 17:20:06 +0100

xabacus (7.1.5-1) unstable; urgency=low

  * New upstream release
  * debian/rules: minor improvements in style
  * debian/*doc-base: fix path / name of Abacus.ps

 -- Florian Ernst <florian@debian.org>  Mon, 24 Oct 2005 18:16:19 +0200

xabacus (7.1.4-1) unstable; urgency=low

  * New upstream release
  * debian/control: Standards-Version 3.6.2, no changes required

 -- Florian Ernst <florian@debian.org>  Tue,  9 Aug 2005 14:42:11 +0200

xabacus (7.1.3-1) unstable; urgency=low

  * New upstream release
    + includes better fix for esound problem, dropping my patch again
  * New maintainer address, many thanks to Eric Van Buggenhaut for previous
    sponsoring
  * debian/control: start Description: with lowercase letter instead

 -- Florian Ernst <florian@debian.org>  Sun, 23 Jan 2005 15:25:18 +0100

xabacus (7.1.2-1) unstable; urgency=low

  * Didn't get uploaded!
  * New upstream release
    + xabacus demo patch included, so droppping it from diff.gz
    + patch for esound applied
  * debian/control: added libesd0-dev to Build-Depends, removed
    autotools-dev (upstream takes care himself)
  * debian/copyright: update, elaborate a little bit further
  * debian/rules: adjusted to new release

 -- Florian Ernst <florian_ernst@gmx.net>  Wed, 22 Dec 2004 23:25:59 +0100

xabacus (7.0.6-2) unstable; urgency=low

  * Include patch from upstream to fix xabacus demo crash
  * debian/rules: minor reorganisation of the install targets
  * debian/xmabacus.menu: slight renaming of pixmaps to xmabacus*

 -- Florian Ernst <florian_ernst@gmx.net>  Sat, 14 Aug 2004 17:52:11 +0200

xabacus (7.0.6-1) unstable; urgency=low

  * New upstream release, new maintainer (Closes: #261432)
    + make sure the demo lessons are included (Closes: #96353)
  * echo 4 > debian/compat
  * debian/control:
    + adjusted descriptions, thanks Marek Habersack (Closes: #209879)
    + added upstream home page
    + streamlined Build-Depends, added autotools-dev
    + Standards-Version 3.6.1
  * debian/copyright:
    + added note about previous and current maintainer(s)
    + updated upstream location
    + extended copyright notice
  * debian/*{dirs,conffiles}: removed as they are not needed anymore
  * debian/*menu:
    + quoting the entries
    + include icons
  * debian/rules:
    + complete overhaul
  * debian/watch: added
  * debian/doc-base: added, including upstream's Abacus.ps

 -- Florian Ernst <florian_ernst@gmx.net>  Wed, 28 Jul 2004 12:34:25 +0200

xabacus (5.5.4-1) unstable; urgency=low

  * New upstream release
  * Corrected Description: in debian/control (closes:#131313)
  * Updated Standards-Version

 -- Eric Van Buggenhaut <ericvb@debian.org>  Tue, 30 Jul 2002 16:20:24 +0200

xabacus (5.5.2-6) unstable; urgency=low

  * changed maintainer name in debian/control.

 -- Eric Van Buggenhaut <ericvb@debian.org>  Fri, 25 May 2001 20:44:02 +0200

xabacus (5.5.2-5) unstable; urgency=low

  * New maintainer
  * added conffiles as required by policy.
  * updated debian/xmabacus.dirs
  * Easthetic changes in debian/control

 -- Eric Van Buggenhaut <ericvb@debian.org>  Thu, 24 May 2001 03:23:42 +0200

xabacus (5.5.2-4) unstable; urgency=low

  * /usr/X11R6/lib/X11/app-defaults -> /etc/X11/app-defaults
    (closes: #86298, #86313)

 -- Adrian Bunk <bunk@fs.tum.de>  Sat, 17 Feb 2001 16:40:47 +0100

xabacus (5.5.2-3) unstable; urgency=low

  * Corrected the priority of xabacus from extra to optional in
    debian/control.
  * Corrected the section from math to games in debian/control.

 -- Adrian Bunk <bunk@fs.tum.de>  Sun,  4 Feb 2001 01:57:35 +0100

xabacus (5.5.2-2) unstable; urgency=low

  * New maintainer. (closes: #68095)
  * Removed debian/info.ex from the source.

 -- Adrian Bunk <bunk@fs.tum.de>  Fri,  2 Feb 2001 14:00:58 +0100

xabacus (5.5.2-1) unstable; urgency=low

  * New upstream release. (closes: #50821)
  * Corrected the menu entries. (closes: #60400)
  * Added missing build dependency on debhelper.
  * Upload sponsored by Tony Mancill <tmancill@debian.org>.

 -- Adrian Bunk <bunk@fs.tum.de>  Thu, 14 Sep 2000 14:25:42 +0200

xabacus (5.4.4-7) unstable; urgency=low

  * Made package policy and lintian compliant.

 -- Christian Kurz <shorty@debian.org>  Sun, 12 Mar 2000 11:13:19 +0100

xabacus (5.4.4-6) unstable; urgency=low

  * Recoompiled lesstif/motif binaries under the new library
  * Orphaning Package

 -- Darren Benham <gecko@debian.org>  Fri, 05 Mar 1999 19:01:03 -0800

xabacus (5.4.4-5) unstable; urgency=low

  * Moved menu file for both binaries

 -- Darren Benham <gecko@debian.org>  Sat, 27 Mar 1999 19:01:03 -0800

xabacus (5.4.4-4) unstable; urgency=low

  * fixed spelling errors
  * moved location to /usr/games to match policy

 -- Darren Benham <gecko@debian.org>  Wed, 13 Jan 1999 22:49:22 -0800

xabacus (5.4.4-3) unstable; urgency=low

  * added conflicts between motif and non-motif version (closes #27392)

 -- Darren Benham <gecko@debian.org>  Wed,  7 Oct 1998 12:50:33 -0700

xabacus (5.4.4-2) unstable; urgency=low

  * Linking with libc6
  * Added package for lesstif binary
  * Divided two binaries to two packages

 -- Darren Benham <gecko@debian.org>  Sat, 26 Sep 1998 03:08:39 -0700

xabacus (5.4.4-1) unstable; urgency=low

  * Initial Release.

 -- Darren Benham <gecko@debian.org>  Tue, 30 Jun 1998 17:21:40 -0700

Local variables:
mode: debian-changelog
End:

=== debian/control ===
Source: xabacus
Section: games
Priority: optional
Maintainer: Jose Carlos Medeiros <debian@psabs.com.br>
Uploaders: Ola Lundqvist <opal@debian.org>, Lionel Elie Mamane <lionel@mamane.lu>
Standards-Version: 3.6.2
Build-Depends: debhelper (>= 5), lesstif2-dev, libesd0-dev, libxpm-dev

Package: xabacus
Architecture: any
Depends: ${shlibs:Depends}
Provides: xabacus
Conflicts: xmabacus
Replaces: xabacus
Description: simulation of the ancient calculator (plain X version)
 This program is an implementation of the original abacus, it provides
 the Chinese, Japanese, Korean, Roman and Russian version and can be
 modified to allow others.
 .
 This version was compiled without the Motif GUI widget library and thus
 shows limited user interface functionality. See xmabacus for the
 extended version.
 .
 Homepage: http://www.tux.org/~bagleyd/abacus.html

Package: xmabacus
Architecture: any
Depends: ${shlibs:Depends}
Priority: extra
Provides: xabacus
Conflicts: xabacus
Replaces: xabacus
Description: simulation of the ancient calculator (Motif version)
 This program is an implementation of the original abacus, it provides
 the Chinese, Japanese, Korean, Roman and Russian version and can be
 modified to allow others.
 .
 This is the Motif version which shows additional functionality. It was
 compiled with lesstif2. Motif is a GUI widget library for the X Window
 system.
 .
 Homepage: http://www.tux.org/~bagleyd/abacus.html

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
#  # Sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.

#export DH_VERBOSE=1

DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)

CONFIGURE_FLAGS := --host=$(DEB_HOST_GNU_TYPE) --build=$(DEB_BUILD_GNU_TYPE) \
		    --prefix=/usr --bindir=/usr/games --mandir=/usr/share/man \
		    --with-xpm --without-rplay --with-esound --without-nas

CFLAGS = -Wall -g
ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
        CFLAGS += -O0
else
        CFLAGS += -O2
endif

build:
	true

build-motif-stamp:
	dh_testdir
	CFLAGS="$(CFLAGS)" ./configure $(CONFIGURE_FLAGS) --with-motif
	$(MAKE)
	touch $@

build-nomotif-stamp:
	dh_testdir
	[ ! -f Makefile ] || $(MAKE) -i distclean
	CFLAGS="$(CFLAGS)" ./configure $(CONFIGURE_FLAGS) --without-motif
	$(MAKE)
	touch $@

clean:
	dh_testdir
	dh_testroot
	-rm -f build-motif-stamp build-nomotif-stamp
	[ ! -f Makefile ] || $(MAKE) -i distclean
	dh_clean

install: install-motif-stamp install-nomotif-stamp
	install -D debian/xabacus.desktop \
		$(CURDIR)/debian/xabacus/usr/share/applications/xabacus.desktop;
	install -D debian/xmabacus.desktop \
		$(CURDIR)/debian/xmabacus/usr/share/applications/xmabacus.desktop;
	for INFIX in '' m ; do \
		set -e ; \
		PIXDIR=$(CURDIR)/debian/x$${INFIX}abacus/usr/share/pixmaps ; \
		install -D -m 0644 $(CURDIR)/icons/abacus.t.xpm $$PIXDIR/x$${INFIX}abacus.t.xpm ; \
		install -D -m 0644 $(CURDIR)/icons/abacus.m.xpm $$PIXDIR/x$${INFIX}abacus.m.xpm ; \
		rm $(CURDIR)/debian/x$${INFIX}abacus/usr/share/games/xabacus/Abacus.ps ; \
	done

install-motif-stamp: build-motif-stamp
	dh_testroot
	$(MAKE) install DESTDIR=$(CURDIR)/debian/xmabacus xapploaddir=/etc/X11/app-defaults

install-nomotif-stamp: build-nomotif-stamp
	dh_testroot
	$(MAKE) install DESTDIR=$(CURDIR)/debian/xabacus xapploaddir=/etc/X11/app-defaults

binary-indep: install
# We have nothing to do by default.

binary-arch: install
	dh_testdir -a
	dh_testroot -a
	dh_installdocs -a -A debian/README.Debian Abacus.ps README
	dh_installmenu -a
	dh_installman -a
	dh_installchangelogs -a
	dh_strip -a
	dh_link -a
	dh_desktop -a
	dh_compress -a
	dh_fixperms -a
	dh_installdeb -a
	dh_shlibdeps -a
	dh_gencontrol -a
	dh_md5sums -a
	dh_builddeb -a

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary
